//+------------------------------------------------------------------+
//|                                          Bands_Tunnel_Points.mq4 |
//|                                              Written by Linuxser |   
//|                                       http://www.linuxser.com.ar |                                
//+------------------------------------------------------------------+
#property copyright "Copyright  2007, Forex-TSD.com "
#property link      "http://www.forex-tsd.com/"

#property indicator_chart_window
#property indicator_buffers 8
#property  indicator_color1  C'233,122,22'  
#property  indicator_color5  C'233,122,22' 
 
#property  indicator_color2  C'123,205,52'  
#property  indicator_color6  C'123,205,52' 

#property  indicator_color3  C'63,170,92'  
#property  indicator_color7  C'63,170,92'  

#property  indicator_color4  C'243,48,37'  
#property  indicator_color8  C'243,48,37'  

extern int    BandsPeriod=20;
extern int    BandsShift=0;
extern double BandsDeviations=2.0;
extern string abc="----------Level Points----------";
extern int BandsDeviations1 = 34;
extern int BandsDeviations2 = 55;
extern int BandsDeviations3 = 89;
extern int BandsDeviations4 = 144;
//---- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];
double ExtMapBuffer3[];
double ExtMapBuffer4[];
double ExtMapBuffer5[];
double ExtMapBuffer6[];
double ExtMapBuffer7[];
double ExtMapBuffer8[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexLabel(0,"BandsDeviations L1");
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,ExtMapBuffer2);
   SetIndexLabel(1,"BandsDeviations L2");
   SetIndexStyle(2,DRAW_LINE);
   SetIndexBuffer(2,ExtMapBuffer3);
   SetIndexLabel(2,"BandsDeviations L3");
   SetIndexStyle(3,DRAW_LINE);
   SetIndexBuffer(3,ExtMapBuffer4);
   SetIndexLabel(3,"BandsDeviations L4");
   SetIndexStyle(4,DRAW_LINE);
   SetIndexBuffer(4,ExtMapBuffer5);
   SetIndexLabel(4,"BandsDeviations L1");
   SetIndexStyle(5,DRAW_LINE);
   SetIndexBuffer(5,ExtMapBuffer6);
   SetIndexLabel(5,"BandsDeviations L2");
   SetIndexStyle(6,DRAW_LINE);
   SetIndexBuffer(6,ExtMapBuffer7);
   SetIndexLabel(6,"BandsDeviations L3");
   SetIndexStyle(7,DRAW_LINE);
   SetIndexBuffer(7,ExtMapBuffer8);
   SetIndexLabel(7,"BandsDeviations L4");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custor indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//---- 
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int limit;
   int    counted_bars=IndicatorCounted();
  //---- check for possible errors
   if(counted_bars<0) return(-1);
  //---- last counted bar will be recounted
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;
  //---- main loop
     for(int i=0; i<limit; i++)
       {
        

         double ExtMapBufferA=iCustom(NULL,0,"Bands", BandsPeriod,BandsShift,BandsDeviations,1,i);
         double ExtMapBufferB=iCustom(NULL,0,"Bands", BandsPeriod,BandsShift,BandsDeviations,2,i);
         
            
            ExtMapBuffer1[i]=ExtMapBufferA+BandsDeviations1*Point;
            ExtMapBuffer2[i]=ExtMapBufferA+BandsDeviations2*Point;
            ExtMapBuffer3[i]=ExtMapBufferA+BandsDeviations3*Point;
            ExtMapBuffer4[i]=ExtMapBufferA+BandsDeviations4*Point;
            
            ExtMapBuffer5[i]=ExtMapBufferB-BandsDeviations1*Point;
            ExtMapBuffer6[i]=ExtMapBufferB-BandsDeviations2*Point;
            ExtMapBuffer7[i]=ExtMapBufferB-BandsDeviations3*Point;
            ExtMapBuffer8[i]=ExtMapBufferB-BandsDeviations4*Point;
       }
       

   return(0);
  }
//+------------------------------------------------------------------+